{"title":"Get trialBalance (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_trialbalance_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_trialbalance_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_trialbalance_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Gets a trial balance object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get trialBalance (v1.0)","slug":"get-trialbalance-v10","at":0,"chars":1375},{"level":2,"title":"HTTP request","slug":"http-request","at":123,"chars":205},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":328,"chars":79},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":407,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":476,"chars":131},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":607,"chars":620},{"level":2,"title":"Related information","slug":"related-information","at":1227,"chars":148}],"text":"# Get trialBalance (v1.0)\nRetrieve the properties and relationships of a trial balance report object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/trialBalance\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and a trialBalance object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/trialBalance?$orderby number&$filter=dateFilter ge 2019-01-01 and dateFilter le 2019-12-31\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n  \"number\": \"1110\",\n  \"display\": \"Accounts Receivable\",\n  \"totalDebit\": \"0.00\",\n  \"totalCredit\": \"0.00\",\n  \"balanceAtDateDebit\": \"72,893.84\",\n  \"balanceAtDateCredit\": \"0.00\",\n  \"dateFilter\": \"2019-12-31\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nTrial Balance<../resources/dynamics_trialbalance>"}